## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           yle-dl
Version:        20240927
Release:        %autorelease
Summary:        Download videos from Yle servers

License:        GPL-3.0-or-later
URL:            https://aajanki.github.io/yle-dl/index-en.html
Source:         https://github.com/aajanki/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
# Depends on archful python3-xattr which excludes i686
ExcludeArch:    %{ix86}

BuildRequires:  python3-devel
Requires:       /usr/bin/ffmpeg
Recommends:     yle-dl+extra
# According to README, "required for podcasts".
Recommends:     wget

%description
Command-line program for downloading media files from the video streaming
services of the Finnish national broadcasting company Yle: Yle Areena,
Elävä arkisto, and Yle news. The videos are saved in Matroska (.mkv) or MP4
format.


# Enables storing video metadata as extended file attributes
# and automatically detecting filesystems that require restricted character sets.
%pyproject_extras_subpkg -n yle-dl extra


%prep
%autosetup -p1 -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -x extra -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files yledl


%check
%pytest --ignore=tests/integration


%files -f %{pyproject_files}
%doc README.*
%license COPYING
%{_bindir}/yle-dl


%changelog
## START: Generated by rpmautospec
* Fri Sep 27 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20240927-1
- Update to 20240927 (rhbz#2315339)

* Tue Aug 06 2024 Packit <hello@packit.dev> - 20240806-1
- Update to 20240806 upstream release
- Resolves: rhbz#2303081

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20240706-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20240706-1
- Update to 20240706 (rhbz#2296121)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 20240429-2
- Rebuilt for Python 3.13

* Thu May 02 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20240429-1
- Update to 20240429 (rhbz#2277877)

* Wed Jan 31 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20240130-1
- Update to 20240130 (rhbz#2261995)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231214-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 16 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20231214-1
- Update to 20231214 (rhbz#2254593)
- Bugfixes

* Mon Nov 20 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20230611-4
- Update to 20231120 (rhbz#2250719)
- Upstream moved some features to Python extra called 'extra', add a
  subpackage for it and Recommend it from the main package.

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230611-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 20230611-2
- Rebuilt for Python 3.12

* Mon Jun 12 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20230611-1
- Update to 20230611 (rhbz#2157156)

* Mon Mar 06 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20221231-3
- Exclude i686 architecture

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221231-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 01 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20221231-1
- Update to 20221231 (rhbz#2157156)

* Sun Nov 13 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20221111-1
- Update to 20221111 (rhbz#2142184)

* Wed Oct 26 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20221015-1
- Update to 20221015 (rhbz#2135014)

* Wed Aug 31 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220830-2
- Use dynamic buildrequires for test dependencies

* Wed Aug 31 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220830-1
- Update to version 20220830

* Sat Aug 20 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220704-5
- Correct license to GPL-3.0-or-later

* Thu Aug 11 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220704-4
- Revert "TEMP DEBUG: rpmautospec"

* Thu Aug 11 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220704-3
- TEMP DEBUG: rpmautospec

* Tue Aug 09 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220704-3
- Recommend wget by package name, instead of binary's path

* Thu Aug 04 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220704-2
- Improve description

* Wed Aug 03 2022 Otto Liljalaakso <oturpe@iki.fi> - 20220704-1
- Initial version

## END: Generated by rpmautospec
